Loading...
Searching...
No Matches
casacore::MaskLogiArr_global_functions_MaskedLogicalArray Struct Reference
casa package (libcasa_casa) » Arrays_module

More...

`#include <MaskLogiArr.h>`

## Detailed Description

Masked LogicalArrays.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25
Test programs:
  tMaskedArray

### Prerequisite

- Array
- LogicalArray
- MaskedArray
- (see (groupt="MaskLogiArrFwd.h#MaskedLogicalArray forwards"))MaskLogiArrFwd

### Etymology

MaskLogiArr is short for MaskedLogicalArray, which is too long by the old AIPS++ file naming conventions. This file contains typedefs for MaskedLogicalArrays.

### Synopsis

These classes are analogous to MaskedArrays, where the type of the Array is a LogicalArray.

### Motivation

One wants to be able to mask and use LogicalArrays the same way one can mask and use general Arrays.

Definition at line 72 of file MaskLogiArr.h.

The documentation for this struct was generated from the following file:

- casa/Arrays/MaskLogiArr.h